POST /recraft/v1/images/generations
Method: POSTEndpoint: /recraft/v1/images/generations
realistic_image
Request Parameters
Header Parameters
text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
prompt
string
Required
size
string
Optional
style
string
Optional
realistic_image
style_id
string
Optional
// provider-specific example normalized for English documentation
substyle
string
Optional
response_format
string
Optional
url b64_json
controls
object
Optional
// provider-specific example normalized for English documentation
colors
string
// provider-specific example normalized for English documentation
Optional
background_color
string
Optional
// provider-specific example normalized for English documentation
Example
{
"prompt"
:
"string"
,
"size"
:
"string"
,
"style"
:
"string"
,
"style_id"
:
"string"
,
"substyle"
:
"string"
,
"response_format"
:
"string"
,
"controls"
:
{
"colors"
:
"string"
,
"background_color\t"
:
"string"
}
}Example Request
Shell
bash
curl --location --request POST '/recraft/v1/images/generations' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"prompt": "string",
"size": "string",
"style": "string",
"style_id": "string",
"substyle": "string",
"response_format": "string",
"controls": {
"colors": "string",
"background_color\t": "string"
}
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{}